Main Page Widgets Namespaces Book

# Gtk::CellRendererPixbuf Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererPixbuf:

[legend]
List of all members.

## Detailed Description

Renders a pixbuf in a cell.

A CellRendererPixbuf can be used to render an image in a cell. It allows you to render either a given Pixbuf (set via the pixbuf property) or a stock icon (set via the stock_id property).

To support the tree view, CellRendererPixbuf also supports rendering two alternative pixbufs, when the is_expanded property is true. If the is_expanded property is true and the pixbuf_expander_open property is set to a pixbuf, it renders that pixbuf. If the is_expanded property is false and the* pixbuf_expander_closed property is set to a pixbuf, it renders that one.

## Public Member Functions

virtual Glib::ustring | _property_renderable ()
| Returns the property that this CellRenderer renders.
| CellRendererPixbuf ()
const GtkCellRendererPixbuf* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCellRendererPixbuf* | gobj ()
| Provides access to the underlying C GtkObject.
virtual | ~CellRendererPixbuf ()

## Related Functions

(Note that these are not member functions.)
Gtk::CellRendererPixbuf* | wrap (GtkCellRendererPixbuf* object, bool take_copy=false)

Parameters:

  | object | The C instance

## Constructor & Destructor Documentation

virtual Gtk::CellRendererPixbuf::~CellRendererPixbuf | ( |  | ) | `[virtual]`

Gtk::CellRendererPixbuf::CellRendererPixbuf | ( |  | ) |

## Member Function Documentation

virtual Glib::ustring Gtk::CellRendererPixbuf::_property_renderable | ( |  | ) | `[virtual]`

Returns the property that this CellRenderer renders.

For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes.

Reimplemented from Gtk::CellRenderer.

const GtkCellRendererPixbuf* Gtk::CellRendererPixbuf::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

GtkCellRendererPixbuf* Gtk::CellRendererPixbuf::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellRenderer.

## Friends And Related Function Documentation

Gtk::CellRendererPixbuf* wrap | ( | GtkCellRendererPixbuf * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance

Parameters:

  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrendererpixbuf.h